## shaderc 2022.2

=== debian/changelog ===
shaderc (2022.2-1) unstable; urgency=medium

  * Initial release. (Closes: #890472)

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 04 Sep 2022 22:19:40 +0200

## shaderc 2023.2

=== libshaderc/CMakeLists.txt ===
# Copyright 2020 The Shaderc Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

project(libshaderc)

# Even though shaderc.hpp is a headers-only library, adding
# a dependency here will force clients of the library to rebuild
# when it changes.
set(SHADERC_SOURCES
  include/shaderc/shaderc.h
  include/shaderc/shaderc.hpp
  src/shaderc.cc
  src/shaderc_private.h
)

add_library(shaderc STATIC ${SHADERC_SOURCES})
shaderc_default_compile_options(shaderc)
target_include_directories(shaderc
    PUBLIC include
    PRIVATE ${glslang_SOURCE_DIR}
            ${SPIRV-Headers_SOURCE_DIR}/include)

add_library(shaderc_shared SHARED ${SHADERC_SOURCES})
shaderc_default_compile_options(shaderc_shared)
target_include_directories(shaderc_shared
    PUBLIC include
    PRIVATE ${glslang_SOURCE_DIR}
            ${SPIRV-Headers_SOURCE_DIR}/include)
target_compile_definitions(shaderc_shared
    PRIVATE SHADERC_IMPLEMENTATION
    PUBLIC SHADERC_SHAREDLIB
)
set_target_properties(shaderc_shared PROPERTIES SOVERSION 1)

if(SHADERC_ENABLE_INSTALL)
  install(
    FILES
      include/shaderc/env.h
      include/shaderc/status.h
      include/shaderc/visibility.h
      include/shaderc/shaderc.h
      include/shaderc/shaderc.hpp
    DESTINATION
      ${CMAKE_INSTALL_INCLUDEDIR}/shaderc)

  install(TARGETS shaderc shaderc_shared
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    BUNDLE DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif(SHADERC_ENABLE_INSTALL)

find_package(Threads)
set(SHADERC_LIBS
  glslang OSDependent OGLCompiler glslang ${CMAKE_THREAD_LIBS_INIT}
  shaderc_util
  SPIRV # from glslang
  SPIRV-Tools
)

target_link_libraries(shaderc PRIVATE ${SHADERC_LIBS})
target_link_libraries(shaderc_shared PRIVATE ${SHADERC_LIBS})

shaderc_add_tests(
  TEST_PREFIX shaderc
  LINK_LIBS shaderc
  INCLUDE_DIRS include ${shaderc_SOURCE_DIR}/libshaderc_util/include ${glslang_SOURCE_DIR}
               ${spirv-tools_SOURCE_DIR}/include
               ${SPIRV-Headers_SOURCE_DIR}/include
  TEST_NAMES
    shaderc
    shaderc_cpp
    shaderc_private)

shaderc_add_tests(
  TEST_PREFIX shaderc_shared
  LINK_LIBS shaderc_shared SPIRV-Tools
  INCLUDE_DIRS include ${shaderc_SOURCE_DIR}/libshaderc_util/include ${glslang_SOURCE_DIR}
               ${spirv-tools_SOURCE_DIR}/include
               ${SPIRV-Headers_SOURCE_DIR}/include
  TEST_NAMES
    shaderc
    shaderc_cpp
    shaderc_private)

shaderc_combine_static_lib(shaderc_combined shaderc)

if(SHADERC_ENABLE_INSTALL)
  # Since shaderc_combined is defined as an imported library, we cannot use the
  # install() directive to install it. Install it like a normal file.
  get_target_property(generated_location shaderc_combined LOCATION)
  string(REGEX MATCH "Visual Studio .*" vs_generator "${CMAKE_GENERATOR}")
  if (NOT "${vs_generator}" STREQUAL "")
    # With Visual Studio generators, the LOCATION property is not properly
    # expanded according to the current build configuration. We need to work
    # around this problem by manually substitution.
    string(REPLACE "$(Configuration)" "\${CMAKE_INSTALL_CONFIG_NAME}"
      install_location "${generated_location}")
    install(FILES ${install_location} DESTINATION ${CMAKE_INSTALL_LIBDIR})
  else()
    install(FILES ${generated_location} DESTINATION ${CMAKE_INSTALL_LIBDIR})
  endif()
endif(SHADERC_ENABLE_INSTALL)

shaderc_add_tests(
  TEST_PREFIX shaderc_combined
  LINK_LIBS shaderc_combined ${CMAKE_THREAD_LIBS_INIT}
  INCLUDE_DIRS include ${shaderc_SOURCE_DIR}/libshaderc_util/include ${glslang_SOURCE_DIR}
               ${spirv-tools_SOURCE_DIR}/include
               ${SPIRV-Headers_SOURCE_DIR}/include
  TEST_NAMES
    shaderc
    shaderc_cpp)

if(${SHADERC_ENABLE_TESTS})
  add_executable(shaderc_c_smoke_test ./src/shaderc_c_smoke_test.c)
  shaderc_default_c_compile_options(shaderc_c_smoke_test)
  target_include_directories(shaderc_c_smoke_test PUBLIC ${shaderc_SOURCE_DIR}/libshaderc_util/include)
  target_link_libraries(shaderc_c_smoke_test PRIVATE shaderc)
  add_test(NAME shaderc_c_smoke_test COMMAND shaderc_c_smoke_test)
endif()

## shaderc 2022.4

=== debian/changelog ===
shaderc (2022.4-1) unstable; urgency=medium

  * New upstream release
    - Closes: #1027045
    - Refresh debian/patches/rename-libshaderc.patch
    - Fix test glslc to ignore version-specific content

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Mon, 26 Dec 2022 23:02:13 +0100

=== debian/control ===
Source: shaderc
Section: libs
Priority: optional
Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 spirv-headers,
 pkg-config,
 cmake,
 asciidoctor,
 glslang-dev,
 ruby-pygments.rb,
Standards-Version: 4.6.1
Homepage: https://github.com/google/shaderc/
Vcs-Browser: https://salsa.debian.org/debian/shaderc
Vcs-Git: https://salsa.debian.org/debian/shaderc.git

Package: glslc
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line compiler for GLSL/HLSL to SPIR-V
 glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
 its library aims to provide:
    - a command line compiler with GCC- and Clang-like usage, for better
    integration with build systems;
    - an API where functionality can be added without breaking existing clients;
    - an API supporting standard concurrency patterns across multiple operating
    systems;
    - increased functionality such as file #include support.
 .
 This package contains the glslc binary.

Package: libshaderc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libshaderc1 (= ${binary:Version}),
 ${misc:Depends},
 glslang-dev,
 spirv-headers,
Description: Library API for accessing glslc functionality - static libraries and headers
 glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
 its library aims to provide:
    - a command line compiler with GCC- and Clang-like usage, for better
    integration with build systems;
    - an API where functionality can be added without breaking existing clients;
    - an API supporting standard concurrency patterns across multiple operating
    systems;
    - increased functionality such as file #include support.
 .
 This package contains static libraries and development headers.

Package: libshaderc1
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Library API for accessing glslc functionality - shared libraries
 glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
 its library aims to provide:
    - a command line compiler with GCC- and Clang-like usage, for better
    integration with build systems;
    - an API where functionality can be added without breaking existing clients;
    - an API supporting standard concurrency patterns across multiple operating
    systems;
    - increased functionality such as file #include support.
 .
 This package contains shared libraries.

## shaderc 2023.2

=== debian/changelog ===
shaderc (2023.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches (probably required by the raise of cmake required version)
  * Bump Standards-Version to 4.6.2: no change needed

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 22 Jan 2023 13:21:24 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  asciidoctor,
  glslang-dev,
  ruby-pygments.rb,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/google/shaderc/
 Vcs-Browser: https://salsa.debian.org/debian/shaderc
 Vcs-Git: https://salsa.debian.org/debian/shaderc.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	# CMAKE_BUILD_RPATH_USE_ORIGIN=ON is for reproducibility:
	dh_auto_configure -- \
		-Dglslang_SOURCE_DIR=/usr/include/glslang/ \
		-DSHADERC_SKIP_TESTS=ON \
		-DSHADERC_SKIP_EXAMPLES=ON \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_auto_build:
	echo "\"shaderc $(DEB_VERSION)\\\n\"" > obj-${DEB_HOST_GNU_TYPE}/build-version.inc
	dpkg-query -f '"spirv-tools $${Version}\\n"\n' -W spirv-tools >> obj-${DEB_HOST_GNU_TYPE}/build-version.inc
	dpkg-query -f '"glslang $${Version}\\n"' -W glslang-dev >> obj-${DEB_HOST_GNU_TYPE}/build-version.inc
	dh_auto_build

override_dh_installman:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1/
	asciidoctor -b manpage glslc/README.asciidoc -o $(CURDIR)/debian/tmp/usr/share/man/man1/glslc.1
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	rm -rf glslc/test/__pycache__

## shaderc 2023.8

=== CMakeLists.txt ===
# Copyright 2020 The Shaderc Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.17.2)

project(shaderc)
enable_testing()

if ("${CMAKE_BUILD_TYPE}" STREQUAL "")
  message(STATUS "No build type selected, default to Debug")
  set(CMAKE_BUILD_TYPE "Debug")
endif()

message(STATUS "Shaderc: build type is \"${CMAKE_BUILD_TYPE}\".")

option(SHADERC_ENABLE_WGSL_OUTPUT "Enable WGSL output" OFF)

option(SHADERC_SKIP_INSTALL "Skip installation" ${SHADERC_SKIP_INSTALL})
if(NOT ${SHADERC_SKIP_INSTALL})
  set(SHADERC_ENABLE_INSTALL ON)
endif()

option(SHADERC_SKIP_TESTS "Skip building tests" ${SHADERC_SKIP_TESTS})
if(NOT ${SHADERC_SKIP_TESTS})
  set(SHADERC_ENABLE_TESTS ON)
endif()
if(${SHADERC_ENABLE_TESTS})
  message(STATUS "Configuring Shaderc to build tests.")
else()
  message(STATUS "Configuring Shaderc to avoid building tests.")
endif()

option(SHADERC_SKIP_EXAMPLES "Skip building examples" ${SHADERC_SKIP_EXAMPLES})
if(NOT ${SHADERC_SKIP_EXAMPLES})
  set(SHADERC_ENABLE_EXAMPLES ON)
endif()
if(${SHADERC_ENABLE_EXAMPLES})
  message(STATUS "Configuring Shaderc to build examples.")
else()
  message(STATUS "Configuring Shaderc to avoid building examples.")
endif()

option(SHADERC_SKIP_COPYRIGHT_CHECK "Skip copyright check" ${SHADERC_SKIP_COPYRIGHT_CHECK})
if(NOT ${SHADERC_SKIP_COPYRIGHT_CHECK})
  set(SHADERC_ENABLE_COPYRIGHT_CHECK ON)
endif()
if(${SHADERC_ENABLE_COPYRIGHT_CHECK})
  message(STATUS "Configuring Shaderc to check copyrights.")
else()
  message(STATUS "Configuring Shaderc to avoid checking copyrights.")
endif()

option(SHADERC_ENABLE_WERROR_COMPILE "Enable passing -Werror to compiler, if available" ON)

set (CMAKE_CXX_STANDARD 17)

include(GNUInstallDirs)
include(cmake/setup_build.cmake)
include(cmake/utils.cmake)
include(CheckCXXCompilerFlag)

set(SPIRV_CROSS_EXCEPTIONS_TO_ASSERTIONS ${DISABLE_EXCEPTIONS} CACHE BOOL "Coupling SPIRV-Cross exception conversion to DISABLE_EXCEPTIONS" FORCE)
if(DISABLE_EXCEPTIONS)
  # Need to set additional values here, since some of the wrapped code occurs in
  # .h/.hpp files, so maybe included outside of the library.
 add_definitions(-DSPIRV_CROSS_EXCEPTIONS_TO_ASSERTIONS)
endif()

# These flags are not supported on Windows and some older version of GCC
# that our bots use.
# Warning about implicit fallthrough in switch blocks
check_cxx_compiler_flag(-Wimplicit-fallthrough COMPILER_SUPPORTS_FALLTHROUGH_WARNING)
if (COMPILER_SUPPORTS_FALLTHROUGH_WARNING)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wimplicit-fallthrough")
endif()

# Warning about extra semi-colons
check_cxx_compiler_flag(-Wextra-semi COMPILER_SUPPORTS_EXTRA_SEMI_WARNING)
if (COMPILER_SUPPORTS_EXTRA_SEMI_WARNING)
    add_compile_options("-Wextra-semi")
endif()

if(${CMAKE_VERSION} VERSION_LESS_EQUAL "3.12")
  find_package(PythonInterp 3 REQUIRED)
else ()
  find_package(Python COMPONENTS Interpreter REQUIRED)
endif ()

if (SHADERC_ENABLE_COPYRIGHT_CHECK)
  add_custom_target(check-copyright ALL
    ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/add_copyright.py
    --check
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Check copyright")
endif()

add_custom_target(add-copyright
  ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/add_copyright.py
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  COMMENT "Add copyright")

if(MSVC)
  option(SHADERC_ENABLE_SHARED_CRT
          "Use the shared CRT instead of the static CRT"
		  OFF)
  if (SHADERC_ENABLE_SHARED_CRT)
    set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>DLL")
  else()
    set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
  endif()
endif(MSVC)


# Configure subdirectories.
# We depend on these for later projects, so they should come first.
add_subdirectory(third_party)

add_subdirectory(libshaderc_util)
add_subdirectory(libshaderc)
add_subdirectory(glslc)
if(${SHADERC_ENABLE_EXAMPLES})
    add_subdirectory(examples)
endif()

add_custom_target(build-version
  ${PYTHON_EXECUTABLE}
  ${CMAKE_CURRENT_SOURCE_DIR}/utils/update_build_version.py
  ${shaderc_SOURCE_DIR} ${spirv-tools_SOURCE_DIR} ${glslang_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/build-version.inc
  COMMENT "Update build-version.inc in the Shaderc build directory (if necessary).")

function(define_pkg_config_file NAME LIBS)
  add_custom_target(${NAME}-pkg-config ALL
    COMMAND ${CMAKE_COMMAND}
      -DCHANGES_FILE=${CMAKE_CURRENT_SOURCE_DIR}/CHANGES
      -DTEMPLATE_FILE=${CMAKE_CURRENT_SOURCE_DIR}/cmake/${NAME}.pc.in
      -DOUT_FILE=${CMAKE_CURRENT_BINARY_DIR}/${NAME}.pc
      -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
      -DCMAKE_INSTALL_LIBDIR=${CMAKE_INSTALL_LIBDIR}
      -DCMAKE_INSTALL_INCLUDEDIR=${CMAKE_INSTALL_INCLUDEDIR}
      -DLIBS=${LIBS}
      -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/write_pkg_config.cmake
  DEPENDS "CHANGES" "cmake/${NAME}.pc.in" "cmake/write_pkg_config.cmake")

  if (SHADERC_ENABLE_INSTALL)
    install(
      FILES
        ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.pc
      DESTINATION
        ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
  endif()
endfunction()

define_pkg_config_file(shaderc -lshaderc_shared)
define_pkg_config_file(shaderc_static "-lshaderc ${EXTRA_STATIC_PKGCONFIG_LIBS} -lshaderc_util")
define_pkg_config_file(shaderc_combined -lshaderc_combined)

=== examples/CMakeLists.txt ===
# Copyright 2020 The Shaderc Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

add_subdirectory(online-compile)

=== third_party/CMakeLists.txt ===
# Suppress all warnings from third-party projects.
set_property(DIRECTORY APPEND PROPERTY COMPILE_OPTIONS -w)

set(SHADERC_THIRD_PARTY_ROOT_DIR "${CMAKE_CURRENT_SOURCE_DIR}" CACHE STRING
  "Root location of all third_party projects")
set(SHADERC_GOOGLE_TEST_DIR "${SHADERC_THIRD_PARTY_ROOT_DIR}/googletest" CACHE STRING
  "Location of googletest source")
set(SHADERC_SPIRV_TOOLS_DIR "${SHADERC_THIRD_PARTY_ROOT_DIR}/spirv-tools" CACHE STRING
  "Location of spirv-tools source")
set(SHADERC_SPIRV_HEADERS_DIR "${SHADERC_THIRD_PARTY_ROOT_DIR}/spirv-headers" CACHE STRING
  "Location of spirv-headers source")
set(SHADERC_GLSLANG_DIR "${SHADERC_THIRD_PARTY_ROOT_DIR}/glslang" CACHE STRING
  "Location of glslang source")
set(SHADERC_EFFCEE_DIR "${SHADERC_THIRD_PARTY_ROOT_DIR}/effcee" CACHE STRING
  "Location of effcee source")
set(SHADERC_RE2_DIR "${SHADERC_THIRD_PARTY_ROOT_DIR}/re2" CACHE STRING
  "Location of re2 source")
set(SHADERC_TINT_DIR "${SHADERC_THIRD_PARTY_ROOT_DIR}/tint" CACHE STRING
  "Location of tint source")
set(SHADERC_ABSL_DIR "${SHADERC_THIRD_PARTY_ROOT_DIR}/abseil_cpp" CACHE STRING
  "Location of re2 source")

set( SKIP_GLSLANG_INSTALL ${SHADERC_SKIP_INSTALL} )
set( SKIP_SPIRV_TOOLS_INSTALL ${SHADERC_SKIP_INSTALL} )
set( SKIP_GOOGLETEST_INSTALL ${SHADERC_SKIP_INSTALL} )

# Configure third party projects.
if(${SHADERC_ENABLE_TESTS})
  if (IS_DIRECTORY ${SHADERC_GOOGLE_TEST_DIR})
    add_subdirectory(${SHADERC_GOOGLE_TEST_DIR} googletest)
  endif()
  if (NOT TARGET gmock)
    message(FATAL_ERROR "gmock was not found - required for tests")
  endif()
endif()

set(OLD_PLATFORM_TOOLSET ${CMAKE_GENERATOR_TOOLSET})
check_cxx_compiler_flag(-fPIC COMPILER_SUPPORTS_PIC)


if (IS_DIRECTORY ${SHADERC_SPIRV_HEADERS_DIR})
  set(SPIRV_HEADERS_SKIP_EXAMPLES ON)
  add_subdirectory(${SHADERC_SPIRV_HEADERS_DIR} spirv-headers)
endif()

if (NOT TARGET SPIRV-Tools)
  # Check SPIRV-Tools before glslang so that it is linked into glslang.
  # we control optimizations via glslang API calls directly.
  if (IS_DIRECTORY ${SHADERC_SPIRV_TOOLS_DIR})
    if ("${SHADERC_SKIP_TESTS}")
      # Also skip building tests in SPIRV-Tools.
      set(SPIRV_SKIP_TESTS ON CACHE BOOL "Skip building SPIRV-Tools tests")
    elseif(NOT "${SPIRV_SKIP_TESTS}")
      # SPIRV-Tools requires effcee, re2, and abseil to build tests.
      # re2 depends on abseil, so abseil must be added first.
      set(ABSL_INTERNAL_AT_LEAST_CXX17 ON)
      set(ABSL_PROPAGATE_CXX_STD ON)
      set(ABSL_ENABLE_INSTALL ON)
      add_subdirectory(${SHADERC_ABSL_DIR} absl EXCLUDE_FROM_ALL)

      # re2 tests take a long time and do not add much value, since re2 is a
      # dependency of a dependency, so not running them.
      set(RE2_BUILD_TESTING OFF CACHE STRING "Run RE2 Tests")
      add_subdirectory(${SHADERC_RE2_DIR} re2)
      add_subdirectory(${SHADERC_EFFCEE_DIR} effcee)
    endif()
    add_subdirectory(${SHADERC_SPIRV_TOOLS_DIR} spirv-tools)
    if (NOT "${SPIRV_SKIP_TESTS}")
      if (MSVC)
        if (${MSVC_VERSION} LESS 1920)
	  # VS 2017 requires /bigobj on test_opt
	  # https://github.com/google/shaderc/issues/1345
	  # https://github.com/KhronosGroup/SPIRV-Tools/issues/5335
	  target_compile_options(test_opt PRIVATE /bigobj)
        endif()
      endif()
    endif()
  endif()
  if (NOT TARGET SPIRV-Tools)
    message(FATAL_ERROR "SPIRV-Tools was not found - required for compilation")
  endif()
endif()

if (NOT TARGET glslang)
  if (IS_DIRECTORY ${SHADERC_GLSLANG_DIR})
    add_subdirectory(${SHADERC_GLSLANG_DIR} glslang)
  endif()
  if (NOT TARGET glslang)
    message(FATAL_ERROR "glslang was not found - required for compilation")
  endif()
  if(WIN32)
      # This is unfortunate but glslang forces our
      # platform toolset to be v110, which we may not even have
      # installed, undo anything glslang has done to it.
      set(CMAKE_GENERATOR_TOOLSET "${OLD_PLATFORM_TOOLSET}" CACHE STRING
        "Platform Toolset" FORCE)
  endif()
endif()

if (SHADERC_ENABLE_WGSL_OUTPUT)
  # Use Google Tint for WGSL output.
  if (NOT TARGET libtint)
    if (IS_DIRECTORY ${SHADERC_TINT_DIR})
      if (NOT IS_DIRECTORY ${SHADERC_TINT_DIR}/out/docs)
        # The Tint Doxygen configuration assumes it can write to the out/docs
        # source directory.
        message(STATUS "Tint source directory out/docs does not exist. Disabling doc generation")
        set(TINT_BUILD_DOCS OFF)
      endif()
      set(TINT_BUILD_SPV_READER ON CACHE BOOL "Built Tint SPIR-V reader" FORCE)
      set(TINT_BUILD_WGSL_WRITER ON CACHE BOOL "Build Tint WGSL writer" FORCE)
      add_subdirectory(${SHADERC_TINT_DIR} tint)
    endif()
  endif()
  if (NOT TARGET libtint)
    message(FATAL_ERROR "Tint was not found - required for WGSL output")
  endif()
endif (SHADERC_ENABLE_WGSL_OUTPUT)

=== debian/changelog ===
shaderc (2023.8-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:41:09 +1100

shaderc (2023.8-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
    - Add patch to fix name of Python interpreter
    - Fix FTBFS (Closes: #1058397)
    - Refresh d/glslc.lintian-overrides
  * Fix linking of libshaderc.so, add autopkgtest (Closes: #1029939)
  * Add obj-x86_64-linux-gnu to d/clean
  * Use printf instead of echo to generate build-version.inc. Thanks to
    Vagrant Cascadian! (Closes: #1035324)
  * Build-Depends on pkgconf instead of pkg-config
  * d/copyright: update copyright year
  * Add Built-Using since we are linking against static libraries

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sat, 09 Mar 2024 22:52:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: shaderc
 Section: libs
 Priority: optional
-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  spirv-headers,
- pkg-config,
+ pkgconf,
  cmake,
  asciidoctor,
  glslang-dev,
@@ -21,6 +22,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Built-Using: ${built-using}
 Description: Command line compiler for GLSL/HLSL to SPIR-V
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
  its library aims to provide:
@@ -42,6 +44,7 @@
  ${misc:Depends},
  glslang-dev,
  spirv-headers,
+Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - static libraries and headers
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
  its library aims to provide:
@@ -60,6 +63,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - shared libraries
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
  its library aims to provide:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%shaderc-$1.tar.gz%" \
   https://github.com/google/shaderc/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## shaderc 2024.1

=== debian/changelog ===
shaderc (2024.1-1) unstable; urgency=medium

  * New upstream release
    - Refresh patch use-system-thirdparties.patch and drop patches applied
      upstream
  * Add "Forwarded: not-needed" to d/patches/rename-libshaderc.patch
  * Bump Standards-Version to 4.7.0: no change needed
  * Refresh d/copyright

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Tue, 28 May 2024 18:53:56 +0200

## shaderc 2024.2

=== debian/changelog ===
shaderc (2024.2-1) unstable; urgency=medium

  * New upstream release
  * Fix lintian-override rule

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Wed, 18 Sep 2024 21:40:33 +0200

## shaderc 2024.3

=== debian/changelog ===
shaderc (2024.3-1) unstable; urgency=medium

  * New upstream release
  * Fix (again) lintian-override rule
    - On my system, it says "can't break", on udd.d.org, it says "cannot break"

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sat, 28 Sep 2024 20:06:18 +0200

## shaderc 2024.4

=== glslc/test/CMakeLists.txt ===
# Copyright 2020 The Shaderc Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

add_test(NAME shaderc_expect_unittests
         COMMAND ${Python_EXECUTABLE} -m unittest expect_unittest.py
         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
add_test(NAME shaderc_glslc_test_framework_unittests
         COMMAND ${Python_EXECUTABLE} -m unittest glslc_test_framework_unittest.py
         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

if(${SHADERC_ENABLE_TESTS})
  add_test(NAME glslc_tests
    COMMAND ${Python_EXECUTABLE}
    ${CMAKE_CURRENT_SOURCE_DIR}/glslc_test_framework.py
    $<TARGET_FILE:glslc_exe> $<TARGET_FILE:spirv-dis>
    --test-dir ${CMAKE_CURRENT_SOURCE_DIR})
endif()

=== debian/changelog ===
shaderc (2024.4-1) unstable; urgency=medium

  * New upstream release

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sat, 18 Jan 2025 23:33:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: shaderc
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +11,7 @@
  asciidoctor,
  glslang-dev,
  ruby-pygments.rb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/google/shaderc/
 Vcs-Browser: https://salsa.debian.org/debian/shaderc
 Vcs-Git: https://salsa.debian.org/debian/shaderc.git

=== debian/tests/control ===
Tests: glslc
Depends: glslc, file

Tests: lib
Depends: libshaderc-dev, @builddeps@

## shaderc 2025.1

=== debian/changelog ===
shaderc (2025.1-1) unstable; urgency=medium

  * New upstream release
  * Improve d/tests/lib. Thanks to Simon McVittie! Closes: #1095954
  * Bump Standards-Version to 4.7.2: no change needed

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sat, 15 Mar 2025 21:40:53 +0100

## shaderc 2025.2

=== debian/changelog ===
shaderc (2025.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 25 Oct 2025 16:22:06 -0700

shaderc (2025.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: update copyright year

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Tue, 29 Apr 2025 22:55:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: shaderc
 Section: libs
 Priority: optional
-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Rules-Requires-Root: no
-Build-Depends:
- debhelper-compat (= 13),
- spirv-headers,
- pkgconf,
- cmake,
- asciidoctor,
- glslang-dev,
- ruby-pygments.rb,
-Standards-Version: 4.7.0
+Build-Depends: asciidoctor,
+               cmake,
+               debhelper-compat (= 13),
+               glslang-dev,
+               pkgconf,
+               ruby-pygments.rb,
+               spirv-headers
+Standards-Version: 4.7.2
 Homepage: https://github.com/google/shaderc/
 Vcs-Browser: https://salsa.debian.org/debian/shaderc
 Vcs-Git: https://salsa.debian.org/debian/shaderc.git
@@ -20,7 +20,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${built-using}
 Description: Command line compiler for GLSL/HLSL to SPIR-V
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
@@ -38,11 +38,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends:
- libshaderc1 (= ${binary:Version}),
- ${misc:Depends},
- glslang-dev,
- spirv-headers,
+Depends: glslang-dev,
+         libshaderc1 (= ${binary:Version}),
+         spirv-headers,
+         ${misc:Depends}
 Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - static libraries and headers
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
@@ -59,9 +58,7 @@
 Package: libshaderc1
 Architecture: any
 Multi-Arch: same
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - shared libraries
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W spirv-tools glslang-dev)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/pkg-info.mk
@@ -16,7 +17,8 @@
 		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
 
 override_dh_auto_build:
-	echo "\"shaderc $(DEB_VERSION)\\\n\"" > obj-${DEB_HOST_GNU_TYPE}/build-version.inc
+	# Use printf instead of echo to make it work regardless the shell (see #1058397)
+	printf "\"shaderc $(DEB_VERSION)\\\n\"" > obj-${DEB_HOST_GNU_TYPE}/build-version.inc
 	dpkg-query -f '"spirv-tools $${Version}\\n"\n' -W spirv-tools >> obj-${DEB_HOST_GNU_TYPE}/build-version.inc
 	dpkg-query -f '"glslang $${Version}\\n"' -W glslang-dev >> obj-${DEB_HOST_GNU_TYPE}/build-version.inc
 	dh_auto_build
@@ -29,3 +31,11 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf glslc/test/__pycache__
+
+override_dh_gencontrol:
+	dh_gencontrol -- -V"built-using=$(BUILT_USING)"
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: glslc
Depends: file, glslc

Tests: lib
Depends: libshaderc-dev, @builddeps@

## shaderc 2025.3

=== glslc/CMakeLists.txt ===
# Copyright 2020 The Shaderc Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

find_package(Threads)

add_library(glslc STATIC
  src/file_compiler.cc
  src/file_compiler.h
  src/file.cc
  src/file.h
  src/file_includer.cc
  src/file_includer.h
  src/resource_parse.h
  src/resource_parse.cc
  src/shader_stage.cc
  src/shader_stage.h
  src/dependency_info.cc
  src/dependency_info.h
)

shaderc_default_compile_options(glslc)
target_include_directories(glslc PUBLIC ${glslang_SOURCE_DIR})

if (SHADERC_ENABLE_WGSL_OUTPUT)
  if (IS_DIRECTORY "${tint_SOURCE_DIR}/include")
    target_include_directories(glslc PRIVATE "${tint_SOURCE_DIR}/include")
    target_include_directories(glslc PRIVATE "${tint_SOURCE_DIR}")
  endif()
  # Turn on features in the tint/tint.h header
  add_definitions(-DTINT_BUILD_SPV_READER=1 -DTINT_BUILD_WGSL_WRITER=1)
  add_definitions(-DSHADERC_ENABLE_WGSL_OUTPUT=1)
endif(SHADERC_ENABLE_WGSL_OUTPUT)

target_link_libraries(glslc PRIVATE
  glslang SPIRV    # Glslang libraries
  $<$<BOOL:${SHADERC_ENABLE_WGSL_OUTPUT}>:libtint>      # Tint libraries, optional
  shaderc_util shaderc                                  # internal Shaderc libraries
  ${CMAKE_THREAD_LIBS_INIT})

if(SHADERC_ENABLE_EXECUTABLES)
  add_executable(glslc_exe src/main.cc)
  shaderc_default_compile_options(glslc_exe)
  target_include_directories(glslc_exe PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/.. ${spirv-tools_SOURCE_DIR}/include)
  set_target_properties(glslc_exe PROPERTIES OUTPUT_NAME glslc)
  target_link_libraries(glslc_exe PRIVATE glslc shaderc_util shaderc)
  add_dependencies(glslc_exe build-version)
endif(SHADERC_ENABLE_EXECUTABLES)

shaderc_add_tests(
  TEST_PREFIX glslc
  LINK_LIBS glslc shaderc_util shaderc
  TEST_NAMES
    file
    resource_parse
    stage)

shaderc_add_asciidoc(glslc_doc_README README)

if(SHADERC_ENABLE_INSTALL)
  install(TARGETS glslc_exe
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    BUNDLE DESTINATION ${CMAKE_INSTALL_BINDIR})
endif(SHADERC_ENABLE_INSTALL)

add_subdirectory(test)

=== glslc/test/CMakeLists.txt ===
--- 
+++ 
@@ -12,17 +12,19 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-add_test(NAME shaderc_expect_unittests
-         COMMAND ${Python_EXECUTABLE} -m unittest expect_unittest.py
-         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
-add_test(NAME shaderc_glslc_test_framework_unittests
-         COMMAND ${Python_EXECUTABLE} -m unittest glslc_test_framework_unittest.py
-         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
+if(${SHADERC_ENABLE_TESTS})
 
-if(${SHADERC_ENABLE_TESTS})
+  add_test(NAME shaderc_expect_unittests
+          COMMAND ${Python_EXECUTABLE} -m unittest expect_unittest.py
+          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
+  add_test(NAME shaderc_glslc_test_framework_unittests
+          COMMAND ${Python_EXECUTABLE} -m unittest glslc_test_framework_unittest.py
+          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
+
   add_test(NAME glslc_tests
     COMMAND ${Python_EXECUTABLE}
     ${CMAKE_CURRENT_SOURCE_DIR}/glslc_test_framework.py
     $<TARGET_FILE:glslc_exe> $<TARGET_FILE:spirv-dis>
     --test-dir ${CMAKE_CURRENT_SOURCE_DIR})
+    
 endif()

=== debian/changelog ===
shaderc (2025.3-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 31 Aug 2025 23:18:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: shaderc
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Rules-Requires-Root: no
-Build-Depends: asciidoctor,
-               cmake,
-               debhelper-compat (= 13),
-               glslang-dev,
-               pkgconf,
-               ruby-pygments.rb,
-               spirv-headers
+Build-Depends:
+ debhelper-compat (= 13),
+ spirv-headers,
+ pkgconf,
+ cmake,
+ asciidoctor <!cross>,
+ glslang-dev,
+ ruby-pygments.rb <!cross>,
+ python3:any,
 Standards-Version: 4.7.2
 Homepage: https://github.com/google/shaderc/
 Vcs-Browser: https://salsa.debian.org/debian/shaderc
@@ -20,7 +21,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Built-Using: ${built-using}
 Description: Command line compiler for GLSL/HLSL to SPIR-V
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
@@ -38,10 +39,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: glslang-dev,
-         libshaderc1 (= ${binary:Version}),
-         spirv-headers,
-         ${misc:Depends}
+Depends:
+ libshaderc1 (= ${binary:Version}),
+ ${misc:Depends},
+ glslang-dev,
+ spirv-headers,
 Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - static libraries and headers
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
@@ -58,7 +60,9 @@
 Package: libshaderc1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - shared libraries
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and

## shaderc 2025.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-cmake_minimum_required(VERSION 3.17.2)
+cmake_minimum_required(VERSION 3.22.1)
 
 project(shaderc)
 enable_testing()
@@ -49,6 +49,16 @@
   message(STATUS "Configuring Shaderc to build examples.")
 else()
   message(STATUS "Configuring Shaderc to avoid building examples.")
+endif()
+
+option(SHADERC_SKIP_EXECUTABLES "Skip building executables." ${SHADERC_SKIP_EXECUTABLES})
+if(NOT ${SHADERC_SKIP_EXECUTABLES})
+  set(SHADERC_ENABLE_EXECUTABLES ON)
+endif()
+if (${SHADERC_ENABLE_EXECUTABLES})
+  message(STATUS "Configuring Shaderc to build executables.")
+else()
+  message(STATUS "Configuring Shaderc to avoid building executables.")
 endif()
 
 option(SHADERC_SKIP_COPYRIGHT_CHECK "Skip copyright check" ${SHADERC_SKIP_COPYRIGHT_CHECK})
@@ -91,22 +101,18 @@
     add_compile_options("-Wextra-semi")
 endif()
 
-if(${CMAKE_VERSION} VERSION_LESS_EQUAL "3.12")
-  find_package(PythonInterp 3 REQUIRED)
-else ()
-  find_package(Python COMPONENTS Interpreter REQUIRED)
-endif ()
+find_package(Python COMPONENTS Interpreter REQUIRED)
 
 if (SHADERC_ENABLE_COPYRIGHT_CHECK)
   add_custom_target(check-copyright ALL
-    ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/add_copyright.py
+    ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/add_copyright.py
     --check
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
     COMMENT "Check copyright")
 endif()
 
 add_custom_target(add-copyright
-  ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/add_copyright.py
+  ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/add_copyright.py
   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
   COMMENT "Add copyright")
 
@@ -134,7 +140,7 @@
 endif()
 
 add_custom_target(build-version
-  ${PYTHON_EXECUTABLE}
+  ${Python_EXECUTABLE}
   ${CMAKE_CURRENT_SOURCE_DIR}/utils/update_build_version.py
   ${shaderc_SOURCE_DIR} ${spirv-tools_SOURCE_DIR} ${glslang_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/build-version.inc
   COMMENT "Update build-version.inc in the Shaderc build directory (if necessary).")

=== glslc/CMakeLists.txt ===
--- 
+++ 
@@ -68,9 +68,11 @@
 shaderc_add_asciidoc(glslc_doc_README README)
 
 if(SHADERC_ENABLE_INSTALL)
-  install(TARGETS glslc_exe
-    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-    BUNDLE DESTINATION ${CMAKE_INSTALL_BINDIR})
+  if(SHADERC_ENABLE_EXECUTABLES)
+    install(TARGETS glslc_exe
+      RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+      BUNDLE DESTINATION ${CMAKE_INSTALL_BINDIR})
+  endif(SHADERC_ENABLE_EXECUTABLES)
 endif(SHADERC_ENABLE_INSTALL)
 
 add_subdirectory(test)

=== libshaderc/CMakeLists.txt ===
--- 
+++ 
@@ -63,7 +63,7 @@
 
 find_package(Threads)
 set(SHADERC_LIBS
-  glslang OSDependent OGLCompiler glslang ${CMAKE_THREAD_LIBS_INIT}
+  glslang ${CMAKE_THREAD_LIBS_INIT}
   shaderc_util
   SPIRV # from glslang
   SPIRV-Tools
@@ -97,20 +97,7 @@
 shaderc_combine_static_lib(shaderc_combined shaderc)
 
 if(SHADERC_ENABLE_INSTALL)
-  # Since shaderc_combined is defined as an imported library, we cannot use the
-  # install() directive to install it. Install it like a normal file.
-  get_target_property(generated_location shaderc_combined LOCATION)
-  string(REGEX MATCH "Visual Studio .*" vs_generator "${CMAKE_GENERATOR}")
-  if (NOT "${vs_generator}" STREQUAL "")
-    # With Visual Studio generators, the LOCATION property is not properly
-    # expanded according to the current build configuration. We need to work
-    # around this problem by manually substitution.
-    string(REPLACE "$(Configuration)" "\${CMAKE_INSTALL_CONFIG_NAME}"
-      install_location "${generated_location}")
-    install(FILES ${install_location} DESTINATION ${CMAKE_INSTALL_LIBDIR})
-  else()
-    install(FILES ${generated_location} DESTINATION ${CMAKE_INSTALL_LIBDIR})
-  endif()
+  install(TARGETS shaderc_combined DESTINATION ${CMAKE_INSTALL_LIBDIR})
 endif(SHADERC_ENABLE_INSTALL)
 
 shaderc_add_tests(

=== libshaderc_util/CMakeLists.txt ===
# Copyright 2020 The Shaderc Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

project(libshaderc_util)

add_library(shaderc_util STATIC
  include/libshaderc_util/counting_includer.h
  include/libshaderc_util/file_finder.h
  include/libshaderc_util/format.h
  include/libshaderc_util/io_shaderc.h
  include/libshaderc_util/mutex.h
  include/libshaderc_util/message.h
  include/libshaderc_util/resources.h
  include/libshaderc_util/spirv_tools_wrapper.h
  include/libshaderc_util/string_piece.h
  include/libshaderc_util/universal_unistd.h
  include/libshaderc_util/version_profile.h
  src/args.cc
  src/compiler.cc
  src/file_finder.cc
  src/io_shaderc.cc
  src/message.cc
  src/resources.cc
  src/shader_stage.cc
  src/spirv_tools_wrapper.cc
  src/version_profile.cc
)

shaderc_default_compile_options(shaderc_util)
target_include_directories(shaderc_util
  PUBLIC include PRIVATE ${glslang_SOURCE_DIR})
# We use parts of Glslang's HLSL compilation interface, which
# now requires this preprocessor definition.
add_definitions(-DENABLE_HLSL)

find_package(Threads)
target_link_libraries(shaderc_util PRIVATE
  glslang SPIRV
  SPIRV-Tools-opt ${CMAKE_THREAD_LIBS_INIT})

shaderc_add_tests(
  TEST_PREFIX shaderc_util
  LINK_LIBS shaderc_util
  TEST_NAMES
    counting_includer
    string_piece
    format
    file_finder
    io_shaderc
    message
    mutex
    version_profile)

if(${SHADERC_ENABLE_TESTS})
  target_include_directories(shaderc_util_counting_includer_test
    PRIVATE ${glslang_SOURCE_DIR})
  target_include_directories(shaderc_util_version_profile_test
    PRIVATE ${glslang_SOURCE_DIR})
endif()

shaderc_add_tests(
  TEST_PREFIX shaderc_util
  LINK_LIBS shaderc_util
  INCLUDE_DIRS
    ${glslang_SOURCE_DIR}
    ${spirv-tools_SOURCE_DIR}/include
  TEST_NAMES
    compiler)

# This target copies content of testdata into the build directory.
add_custom_target(testdata COMMAND
  ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_SOURCE_DIR}/testdata/copy-to-build.cmake
  COMMENT "Copy testdata into build directory")

if(${SHADERC_ENABLE_TESTS})
  add_dependencies(shaderc_util_file_finder_test testdata)
  add_dependencies(shaderc_util_io_shaderc_test testdata)
endif()

=== examples/online-compile/CMakeLists.txt ===
# Copyright 2020 The Shaderc Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

add_executable(shaderc-online-compile main.cc)
shaderc_default_compile_options(shaderc-online-compile)
target_include_directories(shaderc-online-compile PUBLIC ${shaderc_SOURCE_DIR}/libshaderc_util/include)
target_link_libraries(shaderc-online-compile PRIVATE shaderc)

=== glslc/test/CMakeLists.txt ===
--- 
+++ 
@@ -21,10 +21,14 @@
           COMMAND ${Python_EXECUTABLE} -m unittest glslc_test_framework_unittest.py
           WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
 
-  add_test(NAME glslc_tests
-    COMMAND ${Python_EXECUTABLE}
-    ${CMAKE_CURRENT_SOURCE_DIR}/glslc_test_framework.py
-    $<TARGET_FILE:glslc_exe> $<TARGET_FILE:spirv-dis>
-    --test-dir ${CMAKE_CURRENT_SOURCE_DIR})
-    
+  # These tests use the glslc executable, so they can only run if
+  # glslc has been built.
+  if(${SHADERC_ENABLE_EXECUTABLES})
+    add_test(NAME glslc_tests
+      COMMAND ${Python_EXECUTABLE}
+      ${CMAKE_CURRENT_SOURCE_DIR}/glslc_test_framework.py
+      $<TARGET_FILE:glslc_exe> $<TARGET_FILE:spirv-dis>
+      --test-dir ${CMAKE_CURRENT_SOURCE_DIR})
+  endif()
+
 endif()

=== debian/changelog ===
shaderc (2025.4-1) unstable; urgency=medium

  * New upstream release
  * d/watch: convert to format version 5
  * d/control: remove now spurious Rules-Requires-root: no

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Mon, 13 Oct 2025 21:12:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  spirv-headers,

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,11 @@
 	dh_auto_build
 
 override_dh_installman:
+ifneq (, $(shell command -v asciidoctor 2> /dev/null))
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1/
 	asciidoctor -b manpage glslc/README.asciidoc -o $(CURDIR)/debian/tmp/usr/share/man/man1/glslc.1
 	dh_installman
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -34,8 +36,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -V"built-using=$(BUILT_USING)"
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
Version: 5

Template: Github
Owner: google
Project: shaderc

## shaderc 2025.5

=== debian/changelog ===
shaderc (2025.5-1) unstable; urgency=medium

  * New upstream release
  * Build-depends on spirv-tools-dev
    - Static libs have been moved there from spirv-tools
    - Closes: #1121711

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Mon, 01 Dec 2025 21:54:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  spirv-headers,
+ spirv-tools-dev,
  pkgconf,
  cmake,
  asciidoctor <!cross>,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W spirv-tools glslang-dev)
+BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W spirv-tools-dev glslang-dev)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/pkg-info.mk

## shaderc 2026.1

=== debian/changelog ===
shaderc (2026.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.3:
    + Remove `Priority: optional` in d/control, now by default
  * Update year in d/copyright

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Wed, 28 Jan 2026 22:13:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: shaderc
 Section: libs
-Priority: optional
 Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +11,7 @@
  glslang-dev,
  ruby-pygments.rb <!cross>,
  python3:any,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/google/shaderc/
 Vcs-Browser: https://salsa.debian.org/debian/shaderc
 Vcs-Git: https://salsa.debian.org/debian/shaderc.git
